## odysseus 1.7.7

=== meson_options.txt ===
option('appstream', type: 'boolean', value: true, description: 'Use appstream to recommend compatible apps')
option('gcr', type: 'boolean', value: true, description: 'Use GCR to show certificate details, HEAVILY RECOMMENDED')

=== debian/changelog ===
odysseus (1.7.7-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 11 May 2021 17:21:13 -0400

com.github.alcinnz.odysseus (1.0.0) precise; urgency=low

  * Initial Release.

 -- Adrian Cochrane <alcinnz@lavabit.com>  Fri, 22 Dec 2017 07:53:59 +1300

=== debian/control ===
Source: odysseus
Section: x11
Priority: extra
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Adrian Cochrane <alcinnz@lavabit.com>
Build-Depends: meson,
               debhelper (>= 9),
               libgtk-3-dev,
               libgranite-dev (>= 0.3.0),
               valac (>= 0.26),
               libwebkit2gtk-4.0-dev (>= 2.10.9),
               libjson-glib-dev (>= 1.1.2),
               libsoup2.4-dev (>= 2.52.2),
               libsqlite3-dev (>= 3.11.0),
               libappstream-dev (>= 0.10),
               libgcr-3-dev (>= 3.18.0),
               gettext,
               html-xml-utils
Standards-Version: 3.9.3

Package: odysseus
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, html-xml-utils (>= 7)
Description: A simple and performant yet powerful window onto the open decentralized web
 Odysseus is a convenient and privacy-respecting web browser, that increasingly,
 gently, and unobtrusively guides you wherever you want to go online.
 Through this well thought out simplicity Odysseus lets you focus on the webpages
 that matter to you.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# This file was extended to incorporate a Meson/Ninja build system.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_clean:
	rm -rf debian/build

override_dh_auto_configure:
	mkdir -p debian/build
	cd debian/build && meson --prefix=/usr ../..

override_dh_auto_build:
	cd debian/build && ninja -v

override_dh_auto_test:
	cd debian/build && ninja test

override_dh_auto_install:
	cd debian/build && DESTDIR=${CURDIR}/debian/odysseus ninja install
